function Set-ModuleStatus { 
	[CmdletBinding(SupportsShouldProcess = $True)]
	param	(
		[parameter(ValueFromPipeline = $true, ValueFromPipelineByPropertyName = $true, Mandatory = $true, HelpMessage="No module name specified!")] 
		[ValidateNotNullOrEmpty()]
		[string]$name
	)
	if(!(Get-Module -name "$name")) { 
		if(Get-Module -ListAvailable | ? {$_.name -eq "$name"}) { 
			Import-Module -Name "$name" 
			Write-Verbose "$name module was imported"
			return $true | Out-Null
		} else {
			Write-Verbose "$name module was not available"
			return $false | Out-Null
		}
	}else {
		Write-Verbose "$name module already imported"
		return $true | Out-Null
	}
} # end function Set-ModuleStatus